const splitRoutePath = (routePath: string): string[] => {
  const routeParts = routePath.split('/').filter((part) => part !== '')

  const routeArray: string[] = []
  let currentRoute = ''

  for (const part of routeParts) {
    currentRoute += `/${part}`
    routeArray.push(currentRoute)
  }

  return routeArray
}
const getMonthName = (monthNumber: number) => {
  const months = [
    'Januari',
    'Februari',
    'Maret',
    'April',
    'Mei',
    'Juni',
    'Juli',
    'Agustus',
    'September',
    'Oktober',
    'November',
    'Desember'
  ]
  return months[monthNumber - 1] || ''
}
const getMonthNameShort = (monthNumber: number) => {
  const months = [
    'Jan',
    'Feb',
    'Mar',
    'Apr',
    'Mei',
    'Jun',
    'Jul',
    'Agu',
    'Sep',
    'Okt',
    'Nov',
    'Des'
  ]
  return months[monthNumber - 1] || ''
}
const getMonthNumber = (monthName: string) => {
  const months = [
    'Januari',
    'Februari',
    'Maret',
    'April',
    'Mei',
    'Juni',
    'Juli',
    'Agustus',
    'September',
    'Oktober',
    'November',
    'Desember'
  ]
  return months.indexOf(monthName) + 1
}
export { splitRoutePath, getMonthName, getMonthNameShort, getMonthNumber }
